org.codehaus.groovy.runtime.metaclass

## Class MixinInstanceMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.metaclass.MixinInstanceMetaMethod

All Implemented Interfaces:
  java.lang.Cloneable

    public class MixinInstanceMetaMethod
    extends MetaMethod

MetaMethod for mixed in classes

### Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

### Constructor Summary

Constructors
Constructor and Description
`MixinInstanceMetaMethod(MetaMethod method, MixinInMetaClass mixinInMetaClass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CachedClass` `getDeclaringClass()` Gets the class where this method is declared
`int` `getModifiers()` Returns the modifiers for this method
`java.lang.String` `getName()` Returns the name of the method represented by this class
`protected java.lang.Class[]` `getPT()`
`java.lang.Class` `getReturnType()` Access the return type for this method
`java.lang.Object` `invoke(java.lang.Object object, java.lang.Object[] arguments)` Invoke this method

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MixinInstanceMetaMethod

    public MixinInstanceMetaMethod(MetaMethod method,
                                   MixinInMetaClass mixinInMetaClass)

### Method Detail

#### getModifiers

    public int getModifiers()

Description copied from class: `MetaMethod`
Returns the modifiers for this method

Specified by:
  `getModifiers` in class `MetaMethod`
Returns:
  modifiers as an int.

#### getName

    public java.lang.String getName()

Description copied from class: `MetaMethod`
Returns the name of the method represented by this class

Specified by:
  `getName` in class `MetaMethod`
Returns:
  name of this method

#### getReturnType

    public java.lang.Class getReturnType()

Description copied from class: `MetaMethod`
Access the return type for this method

Specified by:
  `getReturnType` in class `MetaMethod`
Returns:
  the return type of this method

#### getDeclaringClass

    public CachedClass getDeclaringClass()

Description copied from class: `MetaMethod`
Gets the class where this method is declared

Specified by:
  `getDeclaringClass` in class `MetaMethod`
Returns:
  class of this method

#### invoke

    public java.lang.Object invoke(java.lang.Object object,
                                   java.lang.Object[] arguments)

Description copied from class: `MetaMethod`
Invoke this method

Specified by:
  `invoke` in class `MetaMethod`
Parameters:
  `object` - The object this method should be invoked on
  `arguments` - The arguments for the method if applicable
Returns:
  The return value of the invocation

#### getPT

    protected java.lang.Class[] getPT()

Overrides:
  `getPT` in class `ParameterTypes`